MeduxMedux

Clone > Clone Avatar by Video

Clone Avatar by Video

Clone an avatar from an uploaded video file.

POST/api/app/v1/clone/avatar/by_video

Examples

curl -X POST https://medux-server-api-dev.lingverse.co/api/app/v1/clone/avatar/by_video \
  -H 'Authorization: Bearer $MEDUX_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"file_id":"FILE_ID","title":"Demo title"}'

Media Samples

Approved examples for understanding request inputs, response shape, and official example output.

Official avatar clone from video

This example uses avatar-video-clone-standard.

Sample request

Clone a reusable avatar from a front-facing source video.

file_id{file_id}sourceOfficial sample source video for testingtitleOfficial avatar clone samplemodel_idavatar-video-clone-standard

Sample response

Official example output for preview only. It is not a user Media Result.

avatar_asset_idofficial_avatar_demo_video_001

Example output

Auth Requirements

Authentication is required via Authorization header.

Preconditions

Requires a valid file_id created from an uploaded source file.

Upload and create the source asset first.

Request

Body

application/json
Authorizationstringrequired

Bearer token or API key.

Location: HEADER

file_idstringrequired

No description provided.

Location: BODY

titlestringoptional

No description provided.

Location: BODY

Response

Response

application/json
codeint32optional

response code enums:
.. 0: ok
.. 12: invalid input
.. 1410: invalid model
.. 1409: paid plan required
.. 1401: insufficient credits
.... 1401 ~ 1499 是 media
.. 1406: asset limit reached
.. 1402: asset category mismatch
.. 1404: provider error
.. 1405: provider timeout
.. 13: unauthenticated
.. 16: rate limit
.. 99: server error

Available options: 0 12 1410 1409 1401 1406 1402 1404 1405 13 16 99

Location: RESPONSE

data.assetobjectoptional

No description provided.

Location: RESPONSE

data.paid_plan_requiredobjectoptional

No description provided.

Location: RESPONSE

data.taskobjectoptional

No description provided.

Location: RESPONSE

messagestringoptional

No description provided.

Available options: ok invalid input invalid model paid plan required insufficient credits asset limit reached asset category mismatch provider error provider timeout unauthenticated rate limit server error

Location: RESPONSE

MCP Tool

This endpoint is also available through the Medux-hosted remote MCP service.

Avatar / Clone by Video

Clone a reusable avatar from a source video file.

Invocation Example

Clone a reusable avatar from the uploaded source video {file_id}. Title it Official avatar clone sample.

medux_avatar_clone_by_videoResult: avatar_asset
file_id{file_id}titleOfficial avatar clone sample